> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/command-line-interface/reference/workbench/namespaces-members-remove.md).

# namespaces members remove

## Synopsis

```shell
omics workbench namespaces members remove
  (--email EMAIL | --id USER_ID)
  [--namespace NAMESPACE_ID]
```

## Description

Remove a user from a namespace. Identify the user by either their email address or user ID. The last admin of a namespace cannot be removed.

## Examples

### Remove a member by email

```shell
omics workbench namespaces members remove --email user@example.com
```

### Remove a member by user ID

```shell
omics workbench namespaces members remove --id bcd869ca-8a06-4426-a94d-43f9d91e937d
```

### Remove a member from a specific namespace

```shell
omics workbench namespaces members remove \
  --email user@example.com \
  --namespace bcd869ca-8a06-4426-a94d-43f9d91e937d
```

## Flags:

### `--email`=`EMAIL`

The email address of the user to remove. Mutually exclusive with `--id`.

### `--id`=`USER_ID`

The user ID (UUID) of the user to remove. Mutually exclusive with `--email`.

### `--namespace`, `-n`=`NAMESPACE_ID`

The namespace ID. Defaults to the active namespace. The namespace ID can be retrieved from the [namespaces list](/products/command-line-interface/reference/workbench/namespaces-list.md) command.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/namespaces-members-remove.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
